View Issue Details

IDProjectCategoryView StatusLast Update
0000593FreeCADBugpublic2012-02-13 11:46
Reporterseb_kuzminskyAssigned Toyorik 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version0.13 
Summary0000593: SVG export encodes 'style' in a hard-to-see way
DescriptionFreeCAD encodes sketches into SVG files in a way that leaves the sketches invisible.

Here is a section of an SVG incorrectly exported by FreeCAD (reformatted for clarity):

        <circle
            cx="0.0"
            cy="0.0"
            r="10.0"
            stroke="#ffffff"
            stroke-width="0.02 px"
            style="stroke-width:0.02;stroke-miterlimit:4;stroke-dasharray:none;fill:none"/>

Two issues make this circle hard to see.

1. Note that the stroke color is white (#ffffff), which blends in against the white background usually used to display SVG files (for example by inkscape, firefox, and rsvg-view). Changing it to black (#000000) makes it much more visible.

2. The stroke width is 0.02 pixels. Changing it to 1 pixel makes it much more visible.
TagsNo tags attached.

Activities

yorik

2012-02-08 20:13

administrator   ~0001623

There is no easy solution to this, many colors will be hard to see in other applications with other backgrounds... But we could at least make everything white export in black. I'll also add a preferences option too so users can disable if needed.

yorik

2012-02-13 11:46

administrator   ~0001634

Fixed in commit 601d292b54f2663d727b856f72c78672ceaa0b23

In Draft preferences there is now an option that allows to render white objects as black when exporting to SVG.

Issue History

Date Modified Username Field Change
2012-02-07 15:26 seb_kuzminsky New Issue
2012-02-08 20:11 yorik Status new => assigned
2012-02-08 20:11 yorik Assigned To => yorik
2012-02-08 20:13 yorik Note Added: 0001623
2012-02-13 11:46 yorik Note Added: 0001634
2012-02-13 11:46 yorik Status assigned => closed
2012-02-13 11:46 yorik Resolution open => fixed
2012-02-13 11:46 yorik Fixed in Version => 0.13